# List Live Price Grid Items Retrieves Live Price Grid Items. A filter can be applied. Filter example: Returns the item where id = 644. > #### Please note: > Filtering by typedId is not accepted by this enpoint. json { "endRow":300, "oldValues":null, "operationType":"fetch", "startRow":0, "textMatchStyle":"exact", "data":{ "_constructor":"AdvancedCriteria", "operator":"and", "criteria":[ { "fieldName":"id", "operator":"equals", "value":644 } ] } } Required Permission| Roles with the Required Permission | ---------|----------| PRICEGRID_FETCH | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage Workflow Logics (WF_BUILDER) Endpoint: POST /pricegridmanager.fetch/{id} Security: basic, X-PriceFx-jwt ## Path parameters: - `id` (string, required) The id of the Live Price Grid you want to retrieve items for. You can retrieve the id of the LPG, for example, by calling the /fetch/PG endpoint. ## Request fields (application/json): - `endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `oldValues` (any) - `operationType` (string) Enter fetch, null, or omit the param. - `startRow` (number) The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results. - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.operator` (string) Specify an operator of the filter criteria. Enum: "equals", "iEquals", "notEqual", "iNotEqual", "isNull", "notNull", "contains", "iContains", "containsPattern", "iContainsPattern", "notContains", "iNotContains", "startsWith", "iStartsWith", "notStartsWith", "iNotStartsWith", "endsWith", "iEndsWith", "notEndsWith", "iNotEndsWith", "iBetween", "iBetweenInclusive", "inSet", "notInSet" - `data.criteria.value` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.csrfToken` (string) - `response.startRow` (number) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.sku` (string) - `response.data.priceGridId` (number) - `response.data.manualEditVersion` (number) - `response.data.manualPriceExpired` (boolean) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.itemExtensions` (object) - `response.data.completeResultsAvailable` (boolean) - `response.endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `response.totalRows` (number) - `response.status` (number)